
Get File='HBAT.sav' .


* Initial Factor Analysis .

TITLE 'INITIAL FACTOR (COMPONENTS) ANALYSIS' .

FACTOR
  /VARIABLES x6 x7 x8 x9 x10 x11 x12 x13 x14 x15 x16 x17 x18  /MISSING
  LISTWISE /ANALYSIS x6 x7 x8 x9 x10 x11 x12 x13 x14 x15 x16 x17 x18
  /PRINT INITIAL CORRELATION SIG KMO AIC ROTATION extraction
  /FORMAT SORT BLANK(.40)
  /PLOT EIGEN
  /CRITERIA MINEIGEN(1) ITERATE(100)
  /EXTRACTION PC
  /CRITERIA ITERATE(100)
  /ROTATION VARIMAX
  /METHOD=CORRELATION .


* Delete X15 due to low MSA value .

TITLE 'COMPONENTS ANALYSIS -- DELETE X15' .

FACTOR
  /VARIABLES x6 x7 x8 x9 x10 x11 x12 x13 x14 x16 x17 x18  /MISSING LISTWISE
 /ANALYSIS x6 x7 x8 x9 x10 x11 x12 x13 x14 x16 x17 x18
  /PRINT INITIAL CORRELATION SIG KMO AIC ROTATION extraction
  /FORMAT SORT BLANK(.40)
  /PLOT EIGEN
  /CRITERIA MINEIGEN(1) ITERATE(100)
  /EXTRACTION PC
  /CRITERIA ITERATE(100)
  /ROTATION VARIMAX
  /METHOD=CORRELATION .

*Delete X17 due to low MSA value .

TITLE 'COMPONENTS ANALYSIS -- DELETE X17' .

FACTOR
  /VARIABLES x6 x7 x8 x9 x10 x11 x12 x13 x14 x16 x18  /MISSING LISTWISE
 /ANALYSIS x6 x7 x8 x9 x10 x11 x12 x13 x14 x16 x18
  /PRINT  INITIAL CORRELATION SIG KMO AIC ROTATION EXTRACTION
  /FORMAT SORT BLANK(.40)
  /PLOT EIGEN
  /CRITERIA MINEIGEN(1) ITERATE(100)
  /EXTRACTION PC
  /CRITERIA ITERATE(100)
  /ROTATION VARIMAX
  /METHOD=CORRELATION .

* Final Solution -- Delete X11 due to cross-loading  .

TITLE 'COMPONENTS ANALYSIS -- DELETE X11' .

FACTOR
  /VARIABLES x6 x7 x8 x9 x10 x12 x13 x14 x16 x18  /MISSING LISTWISE /ANALYSIS
  x6 x7 x8 x9 x10 x12 x13 x14 x16 x18
  /PRINT  INITIAL CORRELATION SIG KMO AIC ROTATION extraction
  /FORMAT SORT BLANK(.40)
  /PLOT EIGEN
  /CRITERIA MINEIGEN(1) ITERATE(100)
  /EXTRACTION PC
  /CRITERIA ITERATE(100)
  /ROTATION VARIMAX
  /METHOD=CORRELATION .

* Oblique rotation of final solution .

TITLE 'COMPONENTS ANALYSIS -- OBLIQUE ROTATION' .

FACTOR
  /VARIABLES x6 x7 x8 x9 x10 x12 x13 x14 x16 x18  /MISSING LISTWISE /ANALYSIS
  x6 x7 x8 x9 x10 x12 x13 x14 x16 x18
  /PRINT  INITIAL CORRELATION SIG KMO AIC ROTATION extraction
  /FORMAT SORT BLANK(.40)
  /PLOT EIGEN
  /CRITERIA MINEIGEN(1) ITERATE(100)
  /EXTRACTION PC
  /CRITERIA ITERATE(100) DELTA(0)
  /ROTATION OBLIMIN
  /METHOD=CORRELATION .


* Common Factor Analysis .

TITLE 'COMMON FACTOR ANALYSIS' .

* Include X11 .
FACTOR
  /VARIABLES x6 x7 x8 x9 x10 x11 x12 x13 x14 x16 x18  /MISSING LISTWISE
 /ANALYSIS x6 x7 x8 x9 x10 x11 x12 x13 x14 x16 x18
  /PRINT  INITIAL CORRELATION SIG KMO AIC ROTATION extraction
  /FORMAT SORT BLANK(.40)
  /PLOT EIGEN
  /CRITERIA MINEIGEN(1) ITERATE(200)
  /EXTRACTION PAF
  /CRITERIA ITERATE(100)
  /ROTATION VARIMAX
  /METHOD=CORRELATION .


* Exclude X11 .

TITLE 'COMMON FACTOR ANALYSIS -- OMIT X11' .

FACTOR
  /VARIABLES x6 x7 x8 x9 x10      x12 x13 x14 x16 x18  /MISSING LISTWISE
 /ANALYSIS x6 x7 x8 x9 x10      x12 x13 x14 x16 x18
  /PRINT  INITIAL CORRELATION SIG KMO AIC ROTATION extraction
  /FORMAT SORT BLANK(.40)
  /PLOT EIGEN
  /CRITERIA MINEIGEN(1) ITERATE(200)
  /EXTRACTION PAF
  /CRITERIA ITERATE(100)
  /ROTATION VARIMAX
  /METHOD=CORRELATION .




Get File='HBAT.sav' .

TITLE 'COMPONENTS ANALYSIS -- SPLIT SAMPLE VALIDATION' .

* Split sample and compare factor solutions .
* Merge 50/50 split variable from file HBAT_SPLITS .

MATCH FILES FILE = *
  /TABLE = 'HBAT_SPLITS.SAV'
  /BY ID .
SORT CASES BY SPLIT50 (A) .
EXECUTE .

SPLIT FILE BY SPLIT50 .
FACTOR
  /VARIABLES x6 x7 x8 x9 x10 x12 x13 x14 x16 x18  /MISSING LISTWISE /ANALYSIS
  x6 x7 x8 x9 x10 x12 x13 x14 x16 x18
  /PRINT  INITIAL CORRELATION SIG KMO AIC ROTATION extraction
  /FORMAT SORT BLANK(.40)
  /PLOT EIGEN
  /CRITERIA MINEIGEN(1) ITERATE(100)
  /EXTRACTION PC
  /CRITERIA ITERATE(100)
  /ROTATION VARIMAX
  /METHOD=CORRELATION .

SPLIT FILE OFF .
EXECUTE .


* Force extra factor and one less factor .

TITLE 'COMPONENTS ANALYSIS - ESTIMATE ONE LESS (3) FACTORS' .

FACTOR
  /VARIABLES x6 x7 x8 x9 x10 x12 x13 x14 x16 x18  /MISSING LISTWISE /ANALYSIS
  x6 x7 x8 x9 x10 x12 x13 x14 x16 x18
  /PRINT  INITIAL CORRELATION SIG KMO AIC ROTATION  extraction
  /FORMAT SORT BLANK(.40)
  /PLOT EIGEN
  /CRITERIA FACTORS (3) ITERATE(100)
  /EXTRACTION PC
  /CRITERIA ITERATE(100)
  /ROTATION VARIMAX
  /METHOD=CORRELATION .

TITLE 'COMPONENTS ANALYSIS -- ESTIMATE ONE MORE (5) FACTORS' .

FACTOR
  /VARIABLES x6 x7 x8 x9 x10 x12 x13 x14 x16 x18  /MISSING LISTWISE /ANALYSIS
  x6 x7 x8 x9 x10 x12 x13 x14 x16 x18
  /PRINT  INITIAL CORRELATION SIG KMO AIC ROTATION  extraction
  /FORMAT SORT BLANK(.40)
  /PLOT EIGEN
  /CRITERIA FACTORS (5) ITERATE(100)
  /EXTRACTION PC
  /CRITERIA ITERATE(100)
  /ROTATION VARIMAX
  /METHOD=CORRELATION .
