
* GET HBAT DATAFILE .

GET FILE = 'HBAT.SAV' .

* BASIC STEPWISE REGRESSION ANALYSIS .

TITLE 'STEPWISE REGRESSION' .

REGRESSION
  /DESCRIPTIVES MEAN STDDEV CORR SIG N
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL CHANGE ZPP
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT x19
  /METHOD=STEPWISE x6 x7 x8 x9 x10 x11 x12 x13 x14 x15 x16 x17 x18
  /PARTIALPLOT ALL
  /SCATTERPLOT=(*ZRESID ,*ZPRED )
  /RESIDUALS HIST(ZRESID) NORM(ZRESID)
  /CASEWISE PLOT(ZRESID) OUTLIERS(3)
  /SAVE PRED MAHAL COOK LEVER RESID ZRESID SRESID DRESID SDRESID SDBETA SDFIT
  COVRATIO .

* USE CONFIRMATORY ESTIMATION PROCEDURE .

TITLE 'CONFIRMATORY REGRESSION ANALYSIS' .

REGRESSION
  /DESCRIPTIVES MEAN STDDEV CORR SIG N
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL CHANGE ZPP
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT x19
  /METHOD=ENTER  x6 x7 x8 x9 x10 x11 x12 x13 x14 x15 x16 x17 x18
  /SCATTERPLOT=(*ZRESID ,*ZPRED )
  /RESIDUALS HIST(ZRESID) NORM(ZRESID)
  /CASEWISE PLOT(ZRESID) OUTLIERS(3) .

* ADD NONMETRIC VARIABLE X3 .

TITLE 'STEPWISE REGRESSION WITH NONMETRIC VARIABLE' .

REGRESSION
  /DESCRIPTIVES MEAN STDDEV CORR SIG N
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL CHANGE ZPP
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT x19
  /METHOD=STEPWISE x6 x7 x8 x9 x10 x11 x12 x13 x14 x15 x16 x17 x18 X3 
  /SCATTERPLOT=(*ZRESID ,*ZPRED )
  /RESIDUALS HIST(ZRESID) NORM(ZRESID)
  /CASEWISE PLOT(ZRESID) OUTLIERS(3) .







* INCLUDE TRANSFORMED VARIABLES TO ASSESS IMPACT .
* TRANSFORM VARIABLES AS INDICATED IN CHAPTER 2 .

COMPUTE TX6 = X6 * X6 .
COMPUTE TX7 = LG10(X7) .
COMPUTE TX13 = X13 * X13 * X13 .
COMPUTE TX16 = X16 * X16 .
COMPUTE TX17 = 1 / X17 .

* INSERT TRANSFORMED VARIABLES FOR ORIGNAL VARIABLES .

TITLE 'IMPACT OF SUBSTITUTING TRANSFORMED VARIABLES' .

REGRESSION
  /DESCRIPTIVES MEAN STDDEV CORR SIG N
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL CHANGE ZPP
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT x19
  /METHOD=STEPWISE Tx6 Tx7 x8 x9 x10 x11 x12 Tx13 x14 x15 Tx16 Tx17 x18
  /PARTIALPLOT ALL
  /SCATTERPLOT=(*ZRESID ,*ZPRED )
  /RESIDUALS HIST(ZRESID) NORM(ZRESID)
  /CASEWISE PLOT(ZRESID) OUTLIERS(3) .


* SPLT SAMPLE AND ESTIMATE REGRESSION MODELS FOR EACH SUB-SAMPLE .
* Merge 50/50 split variable from file HBAT_SPLITS .

TITLE 'SPLIT-SAMPLE VALIDATION' .

MATCH FILES FILE = *
  /TABLE = 'HBAT_SPLITS.SAV'
  /BY ID .
SORT CASES BY SPLIT50 (A) .
EXECUTE .
SPLIT FILE BY SPLIT50 .

REGRESSION
  /DESCRIPTIVES MEAN STDDEV CORR SIG N
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL CHANGE ZPP
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT x19
  /METHOD=STEPWISE x6 x7 x8 x9 x10 x11 x12 x13 x14 x15 x16 x17 x18
  /SCATTERPLOT=(*ZRESID ,*ZPRED ) .

SPLIT FILE OFF .

